/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */
package com.sun.ts.tests.jaxrs.ee.rs.core.responsebuilder;

import java.lang.annotation.Annotation;
import java.util.Date;

import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.core.Response;

@Path("resource")
public class Resource {
	@POST
	@Path("entity")
	public Response entity(Date date) {
		Annotation[] annotations = AnnotatedClass.class.getAnnotations();
		Response response = Response.ok().entity(date, annotations).build();
		return response;
	}

}
